## groovy.util
Class IndentPrinter

    java.lang.Object
      groovy.util.IndentPrinter

    public class IndentPrinter

extends Object

A helper class for printing indented text

Version:
  $Revision: 10922 $
Author:
  James Strachan

Constructor Summary
`IndentPrinter()`
`IndentPrinter(PrintWriter out)`
`IndentPrinter(PrintWriter out, String indent)`

Method Summary
`void` `decrementIndent()`
`void` `flush()`
`int` `getIndentLevel()`
`void` `incrementIndent()`
`void` `print(char c)`
`void` `print(String text)`
`void` `printIndent()`
`void` `println()`
`void` `println(String text)`
`void` `setIndentLevel(int indentLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentPrinter

    public IndentPrinter()

### IndentPrinter

    public IndentPrinter(PrintWriter out)

### IndentPrinter

    public IndentPrinter(PrintWriter out,
                         String indent)

Method Detail

### println

    public void println(String text)

### print

    public void print(String text)

### print

    public void print(char c)

### printIndent

    public void printIndent()

### println

    public void println()

### incrementIndent

    public void incrementIndent()

### decrementIndent

    public void decrementIndent()

### getIndentLevel

    public int getIndentLevel()

### setIndentLevel

    public void setIndentLevel(int indentLevel)

### flush

    public void flush()

Copyright © 2003-2008 The Codehaus. All rights reserved.